Subject: bug#21099: 24.3; bibtex-clean-entry and date fields in biblatex

From: Gustavo Barros <[email-masked]>
Date: Fri, 02 Aug 2019 16:18:40 -0300

Hi Lars,

On Fri, Aug 02 2019, Lars Ingebrigtsen wrote:
>
> Right; this is what the bug report claims makes latexmk and biber stop
> working, but you say later that this isn't the case?  Could there be
> versions of these programs that choke on brace-less entries?
>

Not that I’m aware of.  biblatex tries hard to keep backward 
compatibility, especially with the BibTeX entry *format*.  So I’d be 
surprised if that was the case. (Not so with a field with text, 
e.g. `month = jan` is indeed different from `month = "jan"`).  I’ve been 
active a number of years on TeX.SX with the biblatex and biber tags, and 
I don’t recall a case of missing braces in dates producing issues.  Of 
course, it is hard to remember such things, so before I wrote I had done 
some (light) testing on a file with different cases and built it 
successfully with `latex -> biber -> latex` with a current TeX 
Live. (That’s why you got "Author2019c" as an example).  Anyway, since 
you asked, I took a look at the file "biblatex-examples.bib", which 
ships with biblatex and which, as far as I know, is the one used for 
testing it, entries such as:

    @article{aksin,
      author       = {Aks{\i}n, {\"O}zge and T{\"u}rkmen, Hayati and 
      Artok, Levent
                      and {\c{C}}etinkaya, Bekir and Ni, Chaoying and
                      B{\"u}y{\"u}kg{\"u}ng{\"o}r, Orhan and {\"O}zkal, 
                      Erhan},
      title        = {Effect of immobilization on catalytic 
      characteristics of
                      saturated {Pd-N}-heterocyclic carbenes in 
                      {Mizoroki-Heck}
                      reactions},
      journaltitle = jomch,
      date         = 2006,
      volume       = 691,
      number       = 13,
      pages        = {3027-3036},
      indextitle   = {Effect of immobilization on catalytic 
      characteristics},
    }

    @article{angenendt,
      author       = {Angenendt, Arnold},
      title        = {In Honore Salvatoris~-- Vom Sinn und Unsinn der
                      Patrozinienkunde},
      journaltitle = {Revue d'Histoire Eccl{\'e}siastique},
      date         = 2002,
      volume       = 97,
      pages        = {431--456, 791--823},
      langid       = {german},
      indextitle   = {In Honore Salvatoris},
      shorttitle   = {In Honore Salvatoris},
      annotation   = {A German article in a French journal. Apart from 
      that, a
                      typical \texttt{article} entry. Note the 
                      \texttt{indextitle}
                      field},
    }

    @article{baez/article,
      author       = {Baez, John C. and Lauda, Aaron D.},
      title        = {Higher-Dimensional Algebra {V}: 2-Groups},
      journaltitle = {Theory and Applications of Categories},
      date         = 2004,
      volume       = 12,
      pages        = {423-491},
      version      = 3,
      eprint       = {math/0307200v3},
      eprinttype   = {arxiv},
      langid       = {english},
      langidopts   = {variant=american},
      annotation   = {An \texttt{article} with \texttt{eprint} and
                      \texttt{eprinttype} fields. Note that the arXiv 
                      reference is
                      transformed into a clickable link if 
                      \texttt{hyperref} support
                      has been enabled.  Compare \texttt{baez\slash 
                      online}, which
                      is the same item given as an \texttt{online} 
                      entry},
    }

    @article{bertram,
      author       = {Bertram, Aaron and Wentworth, Richard},
      title        = {Gromov invariants for holomorphic maps on 
      {Riemann} surfaces},
      journaltitle = jams,
      date         = 1996,
      volume       = 9,
      number       = 2,
      pages        = {529-571},
      langid       = {english},
      langidopts   = {variant=american},
      shorttitle   = {Gromov invariants},
      annotation   = {An \texttt{article} entry with a \texttt{volume} 
      and a
                      \texttt{number} field},
    }

    @article{doody,
      author       = {Doody, Terrence},
      title        = {Hemingway's Style and {Jake's} Narration},
      year         = 1974,
      volume       = 4,
      number       = 3,
      pages        = {212-225},
      langid       = {english},
      langidopts   = {variant=american},
      related      = {matuz:doody},
      relatedstring= {\autocap{e}xcerpt in},
      journal      = {The Journal of Narrative Technique},
      annotation   = {An \texttt{article} entry cited as an excerpt from 
      a
                      \texttt{collection} entry. Note the format of the
                      \texttt{related} and \texttt{relatedstring} 
                      fields},
    }

    @collection{matuz:doody,
      editor       = {Matuz, Roger},
      title        = {Contemporary Literary Criticism},
      year         = 1990,
      volume       = 61,
      publisher    = {Gale},
      location     = {Detroit},
      pages        = {204-208},
      langid       = {english},
      langidopts   = {variant=american},
      annotation   = {A \texttt{collection} entry providing the excerpt 
      information
                      for the \texttt{doody} entry. Note the format of 
                      the
                      \texttt{pages} field},
    }

And there is plenty more of examples of numeric fields without braces or 
quotes there.

Regarding latexmk, I’m not a regular user of it.  But, as far as I know, 
it is not a proper TeX “engine”, it is a build automation tool which 
wraps around the usual ones.  So I see no reason why it should make a 
difference.

Best regards,
Gustavo Barros.